Re: [PR] draft proposal for multi-threaded tx [tinkerpop]

2024-02-08 Thread via GitHub


vkagamlyk closed pull request #2395: draft proposal for multi-threaded tx
URL: https://github.com/apache/tinkerpop/pull/2395


-- 
This is an automated message from the Apache Git Service.
To respond to the message, please log on to GitHub and use the
URL above to go to the specific comment.

To unsubscribe, e-mail: commits-unsubscr...@tinkerpop.apache.org

For queries about this service, please contact Infrastructure at:
us...@infra.apache.org



(tinkerpop) branch ken/matrixtesting created (now c1e1bfdbce)

2024-02-08 Thread kenhuuu
This is an automated email from the ASF dual-hosted git repository.

kenhuuu pushed a change to branch ken/matrixtesting
in repository https://gitbox.apache.org/repos/asf/tinkerpop.git


  at c1e1bfdbce Initial implementation of matrix testing.

This branch includes the following new commits:

 new c1e1bfdbce Initial implementation of matrix testing.

The 1 revisions listed above as "new" are entirely new to this
repository and will be described in separate emails.  The revisions
listed as "add" were already present in the repository and have only
been added to this reference.




(tinkerpop) 01/01: Initial implementation of matrix testing.

2024-02-08 Thread kenhuuu
This is an automated email from the ASF dual-hosted git repository.

kenhuuu pushed a commit to branch ken/matrixtesting
in repository https://gitbox.apache.org/repos/asf/tinkerpop.git

commit c1e1bfdbce09cab08d08a53a53886a2d645f4274
Author: Ken Hu <106191785+kenh...@users.noreply.github.com>
AuthorDate: Thu Feb 8 16:52:17 2024 -0800

Initial implementation of matrix testing.
---
 matrixtest.sh | 84 +++
 1 file changed, 84 insertions(+)

diff --git a/matrixtest.sh b/matrixtest.sh
new file mode 100644
index 00..c8077c2511
--- /dev/null
+++ b/matrixtest.sh
@@ -0,0 +1,84 @@
+#!/bin/bash
+#
+#
+# Licensed to the Apache Software Foundation (ASF) under one
+# or more contributor license agreements.  See the NOTICE file
+# distributed with this work for additional information
+# regarding copyright ownership.  The ASF licenses this file
+# to you under the Apache License, Version 2.0 (the
+# "License"); you may not use this file except in compliance
+# with the License.  You may obtain a copy of the License at
+#
+#   http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing,
+# software distributed under the License is distributed on an
+# "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
+# KIND, either express or implied.  See the License for the
+# specific language governing permissions and limitations
+# under the License.
+#
+
+if [ -z "$1" ]; then
+  echo 'Missing required parameter. Expected a server version. E.g. 3.7.0'
+  exit 1
+fi
+
+export CONTAINER_TIMEOUT=300.0 # Timeout needed in case tests hang.
+export ABS_PROJECT_HOME=$PWD
+export GREMLIN_SERVER=$1 # Server version.
+
+# Need the following because gremlin-test jar with server version needed for 
KDC.
+# This is currently how it is specified in the Dockerfiles.
+git reset --hard > /dev/null
+git checkout $GREMLIN_SERVER > /dev/null
+mvn install -pl gremlin-test > /dev/null
+
+# Docker Compose files were added in 3.5.5
+for GREMLIN_DRIVER in $(git tag --list 3.5.[5-9]* 3.[6-9]*); do
+  [ "$GREMLIN_DRIVER" == "$GREMLIN_SERVER" ] && break
+
+  echo "Testing driver ${GREMLIN_DRIVER} with server ${GREMLIN_SERVER}"
+
+  git reset --hard > /dev/null
+  git checkout $GREMLIN_DRIVER > /dev/null
+  [ $? -ne 0 ] && exit $?
+  git checkout $GREMLIN_SERVER gremlin-server/ docker/ > /dev/null
+  [ $? -ne 0 ] && exit $?
+
+  log_directory=logs/${GREMLIN_DRIVER}driver_${GREMLIN_SERVER}server
+  mkdir -p $log_directory
+  cd ./gremlin-javascript/src/main/javascript/gremlin-javascript
+  timeout --foreground $CONTAINER_TIMEOUT docker-compose up --build 
--exit-code-from gremlin-js-integration-tests > 
${ABS_PROJECT_HOME}/${log_directory}/javascript.log 2>&1
+  status=$?
+  docker-compose down
+  [ $status -ne 0 ] && echo "Failed. ${GREMLIN_DRIVER} driver is incompatible 
with ${GREMLIN_SERVER} server." && exit $status
+  cd ../../../../..
+
+  cd ./gremlin-dotnet/
+  timeout --foreground $CONTAINER_TIMEOUT docker-compose up --build 
--exit-code-from gremlin-dotnet-integration-tests > 
${ABS_PROJECT_HOME}/${log_directory}/dotnet.log 2>&1
+  status=$?
+  docker-compose down
+  [ $status -ne 0 ] && echo "Failed. ${GREMLIN_DRIVER} driver is incompatible 
with ${GREMLIN_SERVER} server." && exit $status
+  cd ..
+
+  cd ./gremlin-go/
+  timeout --foreground $CONTAINER_TIMEOUT docker-compose up --build 
--exit-code-from gremlin-go-integration-tests > 
${ABS_PROJECT_HOME}/${log_directory}/go.log 2>&1
+  status=$?
+  docker-compose down
+  [ $status -ne 0 ] && echo "Failed. ${GREMLIN_DRIVER} driver is incompatible 
with ${GREMLIN_SERVER} server." && exit $status
+  cd ..
+
+  cd gremlin-python
+  mkdir tmp_test_dir # Copy src to temp directory to prevent polluting src 
directories with extra test files
+  cp -R src/main/python/* tmp_test_dir
+  export BUILD_DIR=$PWD/tmp_test_dir
+  timeout --foreground $CONTAINER_TIMEOUT docker-compose up --build 
--abort-on-container-exit gremlin-server-test-python 
gremlin-python-integration-tests > 
${ABS_PROJECT_HOME}/${log_directory}/python.log 2>&1
+  status=$?
+  rm -r tmp_test_dir
+  docker-compose down
+  [ $status -ne 0 ] && echo "Failed. ${GREMLIN_DRIVER} driver is incompatible 
with ${GREMLIN_SERVER} server." && exit $status
+  cd ..
+
+  echo "Success. ${GREMLIN_DRIVER} driver is compatible with ${GREMLIN_SERVER} 
server."
+done
\ No newline at end of file



Re: [PR] draft proposal for multi-threaded tx [tinkerpop]

2024-02-08 Thread via GitHub


codecov-commenter commented on PR #2395:
URL: https://github.com/apache/tinkerpop/pull/2395#issuecomment-1934824014

   ## 
[Codecov](https://app.codecov.io/gh/apache/tinkerpop/pull/2395?src=pr=h1_medium=referral_source=github_content=comment_campaign=pr+comments_term=apache)
 Report
   All modified and coverable lines are covered by tests :white_check_mark:
   > Comparison is base 
[(`95787a2`)](https://app.codecov.io/gh/apache/tinkerpop/commit/95787a2c30950daa5a596efeb657006b1de0b86f?el=desc_medium=referral_source=github_content=comment_campaign=pr+comments_term=apache)
 76.18% compared to head 
[(`be04b14`)](https://app.codecov.io/gh/apache/tinkerpop/pull/2395?src=pr=desc_medium=referral_source=github_content=comment_campaign=pr+comments_term=apache)
 71.08%.
   > Report is 128 commits behind head on master.
   
   
   Additional details and impacted files
   
   
   ```diff
   @@ Coverage Diff  @@
   ## master#2395  +/-   ##
   
   - Coverage 76.18%   71.08%   -5.11% 
   
 Files  1083   25-1058 
 Lines 64990 3949   -61041 
 Branches   72580-7258 
   
   - Hits  49514 2807   -46707 
   + Misses12776  951   -11825 
   + Partials   2700  191-2509 
   ```
   
   
   
   
   
   [:umbrella: View full report in Codecov by 
Sentry](https://app.codecov.io/gh/apache/tinkerpop/pull/2395?src=pr=continue_medium=referral_source=github_content=comment_campaign=pr+comments_term=apache).
   
   :loudspeaker: Have feedback on the report? [Share it 
here](https://about.codecov.io/codecov-pr-comment-feedback/?utm_medium=referral_source=github_content=comment_campaign=pr+comments_term=apache).
   


-- 
This is an automated message from the Apache Git Service.
To respond to the message, please log on to GitHub and use the
URL above to go to the specific comment.

To unsubscribe, e-mail: commits-unsubscr...@tinkerpop.apache.org

For queries about this service, please contact Infrastructure at:
us...@infra.apache.org



(tinkerpop) branch arity-adjustment deleted (was 36056207f0)

2024-02-08 Thread spmallette
This is an automated email from the ASF dual-hosted git repository.

spmallette pushed a change to branch arity-adjustment
in repository https://gitbox.apache.org/repos/asf/tinkerpop.git


 was 36056207f0 Drop use of unmodifiable map in arity predictor CTR

This change permanently discards the following revisions:

 discard 36056207f0 Drop use of unmodifiable map in arity predictor CTR



(tinkerpop) branch 3.6-dev updated (0d119be3bb -> c7f3d2454a)

2024-02-08 Thread spmallette
This is an automated email from the ASF dual-hosted git repository.

spmallette pushed a change to branch 3.6-dev
in repository https://gitbox.apache.org/repos/asf/tinkerpop.git


from 0d119be3bb Follow-on to #2475 to fixup compile/test issues CTR
 add c7f3d2454a Drop use of unmodifiable map in arity predictor CTR

No new revisions were added by this update.

Summary of changes:
 .../strategy/util/StepOutputArityPredictor.java| 24 +-
 1 file changed, 10 insertions(+), 14 deletions(-)



(tinkerpop) 01/03: Drop use of unmodifiable map in arity predictor CTR

2024-02-08 Thread spmallette
This is an automated email from the ASF dual-hosted git repository.

spmallette pushed a commit to branch master
in repository https://gitbox.apache.org/repos/asf/tinkerpop.git

commit c7f3d2454a654cea57c2a99077d859b115fec4c3
Author: Stephen Mallette 
AuthorDate: Thu Feb 8 13:03:47 2024 -0500

Drop use of unmodifiable map in arity predictor CTR
---
 .../strategy/util/StepOutputArityPredictor.java| 24 +-
 1 file changed, 10 insertions(+), 14 deletions(-)

diff --git 
a/gremlin-core/src/main/java/org/apache/tinkerpop/gremlin/process/traversal/strategy/util/StepOutputArityPredictor.java
 
b/gremlin-core/src/main/java/org/apache/tinkerpop/gremlin/process/traversal/strategy/util/StepOutputArityPredictor.java
index 1e0157bd51..136922a3a7 100644
--- 
a/gremlin-core/src/main/java/org/apache/tinkerpop/gremlin/process/traversal/strategy/util/StepOutputArityPredictor.java
+++ 
b/gremlin-core/src/main/java/org/apache/tinkerpop/gremlin/process/traversal/strategy/util/StepOutputArityPredictor.java
@@ -231,27 +231,23 @@ public class StepOutputArityPredictor {
 final private static Map> 
SPECIAL_TRAVERSAL_TO_ARITY_FUNCTION_MAP;
 
 static {
-final Map> tempMap1 = new HashMap<>();
+STEP_TO_ARITY_FUNCTION_MAP = new HashMap<>();
 for (Class elem : 
STEP_CLASSES_WITH_DEFINITELY_SINGULAR_ARITY_BEHAVIOR) {
-tempMap1.put(elem.getSimpleName(), 
RETURN_DEFINITELY_SINGLE_ARITY_FOR_STEP_INPUT);
+STEP_TO_ARITY_FUNCTION_MAP.put(elem.getSimpleName(), 
RETURN_DEFINITELY_SINGLE_ARITY_FOR_STEP_INPUT);
 }
 
 for (Class elem : STEP_CLASSES_WITH_OPTIONAL_SINGULAR_ARITY_BEHAVIOR) {
-tempMap1.put(elem.getSimpleName(), 
RETURN_MAY_BE_SINGLE_ARITY_FOR_STEP_INPUT);
+STEP_TO_ARITY_FUNCTION_MAP.put(elem.getSimpleName(), 
RETURN_MAY_BE_SINGLE_ARITY_FOR_STEP_INPUT);
 }
 
-tempMap1.put(EdgeVertexStep.class.getSimpleName(), 
StepOutputArityPredictor::wouldEdgeVertexStepHaveSingleResult);
-tempMap1.put(TraversalMapStep.class.getSimpleName(), 
StepOutputArityPredictor::getOutputArityBehaviorForTraversalMapStep);
+STEP_TO_ARITY_FUNCTION_MAP.put(EdgeVertexStep.class.getSimpleName(), 
StepOutputArityPredictor::wouldEdgeVertexStepHaveSingleResult);
+STEP_TO_ARITY_FUNCTION_MAP.put(TraversalMapStep.class.getSimpleName(), 
StepOutputArityPredictor::getOutputArityBehaviorForTraversalMapStep);
 
-STEP_TO_ARITY_FUNCTION_MAP = Collections.unmodifiableMap(tempMap1);
-
-final Map> tempMap2 = new 
HashMap<>();
-tempMap2.put(ValueTraversal.class.getSimpleName(), 
StepOutputArityPredictor::getOutputArityBehaviorForValueTraversal);
-tempMap2.put(TokenTraversal.class.getSimpleName(), 
StepOutputArityPredictor::getOutputArityBehaviorForTokenTraversal);
-tempMap2.put(IdentityTraversal.class.getSimpleName(), 
RETURN_DEFINITELY_SINGLE_ARITY_FOR_TRAVERSAL_INPUT);
-tempMap2.put(ColumnTraversal.class.getSimpleName(), 
RETURN_DEFINITELY_SINGLE_ARITY_FOR_TRAVERSAL_INPUT);
-
-SPECIAL_TRAVERSAL_TO_ARITY_FUNCTION_MAP = 
Collections.unmodifiableMap(tempMap2);
+SPECIAL_TRAVERSAL_TO_ARITY_FUNCTION_MAP = new HashMap<>();
+
SPECIAL_TRAVERSAL_TO_ARITY_FUNCTION_MAP.put(ValueTraversal.class.getSimpleName(),
 StepOutputArityPredictor::getOutputArityBehaviorForValueTraversal);
+
SPECIAL_TRAVERSAL_TO_ARITY_FUNCTION_MAP.put(TokenTraversal.class.getSimpleName(),
 StepOutputArityPredictor::getOutputArityBehaviorForTokenTraversal);
+
SPECIAL_TRAVERSAL_TO_ARITY_FUNCTION_MAP.put(IdentityTraversal.class.getSimpleName(),
 RETURN_DEFINITELY_SINGLE_ARITY_FOR_TRAVERSAL_INPUT);
+
SPECIAL_TRAVERSAL_TO_ARITY_FUNCTION_MAP.put(ColumnTraversal.class.getSimpleName(),
 RETURN_DEFINITELY_SINGLE_ARITY_FOR_TRAVERSAL_INPUT);
 }
 
 private static Arity getStepOutputArity(final Step step, final Arity 
inputArity) {



(tinkerpop) branch 3.7-dev updated (809a20986c -> d804e4a3b9)

2024-02-08 Thread spmallette
This is an automated email from the ASF dual-hosted git repository.

spmallette pushed a change to branch 3.7-dev
in repository https://gitbox.apache.org/repos/asf/tinkerpop.git


from 809a20986c Remove minor syntax error in feature file CTR
 add c7f3d2454a Drop use of unmodifiable map in arity predictor CTR
 add d804e4a3b9 Merge branch '3.6-dev' into 3.7-dev

No new revisions were added by this update.

Summary of changes:
 .../strategy/util/StepOutputArityPredictor.java| 24 +-
 1 file changed, 10 insertions(+), 14 deletions(-)



(tinkerpop) branch master updated (fae51e87e7 -> 55a7b7f256)

2024-02-08 Thread spmallette
This is an automated email from the ASF dual-hosted git repository.

spmallette pushed a change to branch master
in repository https://gitbox.apache.org/repos/asf/tinkerpop.git


from fae51e87e7 Merge branch '3.7-dev'
 new c7f3d2454a Drop use of unmodifiable map in arity predictor CTR
 new d804e4a3b9 Merge branch '3.6-dev' into 3.7-dev
 new 55a7b7f256 Merge branch '3.7-dev'

The 3 revisions listed above as "new" are entirely new to this
repository and will be described in separate emails.  The revisions
listed as "add" were already present in the repository and have only
been added to this reference.


Summary of changes:
 .../strategy/util/StepOutputArityPredictor.java| 24 +-
 1 file changed, 10 insertions(+), 14 deletions(-)



(tinkerpop) 03/03: Merge branch '3.7-dev'

2024-02-08 Thread spmallette
This is an automated email from the ASF dual-hosted git repository.

spmallette pushed a commit to branch master
in repository https://gitbox.apache.org/repos/asf/tinkerpop.git

commit 55a7b7f25677c38ad23a813d19dfb58d69954d35
Merge: fae51e87e7 d804e4a3b9
Author: Stephen Mallette 
AuthorDate: Thu Feb 8 13:16:55 2024 -0500

Merge branch '3.7-dev'

 .../strategy/util/StepOutputArityPredictor.java| 24 +-
 1 file changed, 10 insertions(+), 14 deletions(-)



(tinkerpop) 02/03: Merge branch '3.6-dev' into 3.7-dev

2024-02-08 Thread spmallette
This is an automated email from the ASF dual-hosted git repository.

spmallette pushed a commit to branch master
in repository https://gitbox.apache.org/repos/asf/tinkerpop.git

commit d804e4a3b9d7d12c679e218abc24091453031467
Merge: 809a20986c c7f3d2454a
Author: Stephen Mallette 
AuthorDate: Thu Feb 8 13:16:48 2024 -0500

Merge branch '3.6-dev' into 3.7-dev

 .../strategy/util/StepOutputArityPredictor.java| 24 +-
 1 file changed, 10 insertions(+), 14 deletions(-)



(tinkerpop) branch arity-adjustment created (now 36056207f0)

2024-02-08 Thread spmallette
This is an automated email from the ASF dual-hosted git repository.

spmallette pushed a change to branch arity-adjustment
in repository https://gitbox.apache.org/repos/asf/tinkerpop.git


  at 36056207f0 Drop use of unmodifiable map in arity predictor CTR

This branch includes the following new commits:

 new 36056207f0 Drop use of unmodifiable map in arity predictor CTR

The 1 revisions listed above as "new" are entirely new to this
repository and will be described in separate emails.  The revisions
listed as "add" were already present in the repository and have only
been added to this reference.




(tinkerpop) 01/01: Drop use of unmodifiable map in arity predictor CTR

2024-02-08 Thread spmallette
This is an automated email from the ASF dual-hosted git repository.

spmallette pushed a commit to branch arity-adjustment
in repository https://gitbox.apache.org/repos/asf/tinkerpop.git

commit 36056207f0daef7370f2969849de50e0b55148fe
Author: Stephen Mallette 
AuthorDate: Thu Feb 8 13:03:47 2024 -0500

Drop use of unmodifiable map in arity predictor CTR
---
 .../strategy/util/StepOutputArityPredictor.java| 24 +-
 1 file changed, 10 insertions(+), 14 deletions(-)

diff --git 
a/gremlin-core/src/main/java/org/apache/tinkerpop/gremlin/process/traversal/strategy/util/StepOutputArityPredictor.java
 
b/gremlin-core/src/main/java/org/apache/tinkerpop/gremlin/process/traversal/strategy/util/StepOutputArityPredictor.java
index 1e0157bd51..136922a3a7 100644
--- 
a/gremlin-core/src/main/java/org/apache/tinkerpop/gremlin/process/traversal/strategy/util/StepOutputArityPredictor.java
+++ 
b/gremlin-core/src/main/java/org/apache/tinkerpop/gremlin/process/traversal/strategy/util/StepOutputArityPredictor.java
@@ -231,27 +231,23 @@ public class StepOutputArityPredictor {
 final private static Map> 
SPECIAL_TRAVERSAL_TO_ARITY_FUNCTION_MAP;
 
 static {
-final Map> tempMap1 = new HashMap<>();
+STEP_TO_ARITY_FUNCTION_MAP = new HashMap<>();
 for (Class elem : 
STEP_CLASSES_WITH_DEFINITELY_SINGULAR_ARITY_BEHAVIOR) {
-tempMap1.put(elem.getSimpleName(), 
RETURN_DEFINITELY_SINGLE_ARITY_FOR_STEP_INPUT);
+STEP_TO_ARITY_FUNCTION_MAP.put(elem.getSimpleName(), 
RETURN_DEFINITELY_SINGLE_ARITY_FOR_STEP_INPUT);
 }
 
 for (Class elem : STEP_CLASSES_WITH_OPTIONAL_SINGULAR_ARITY_BEHAVIOR) {
-tempMap1.put(elem.getSimpleName(), 
RETURN_MAY_BE_SINGLE_ARITY_FOR_STEP_INPUT);
+STEP_TO_ARITY_FUNCTION_MAP.put(elem.getSimpleName(), 
RETURN_MAY_BE_SINGLE_ARITY_FOR_STEP_INPUT);
 }
 
-tempMap1.put(EdgeVertexStep.class.getSimpleName(), 
StepOutputArityPredictor::wouldEdgeVertexStepHaveSingleResult);
-tempMap1.put(TraversalMapStep.class.getSimpleName(), 
StepOutputArityPredictor::getOutputArityBehaviorForTraversalMapStep);
+STEP_TO_ARITY_FUNCTION_MAP.put(EdgeVertexStep.class.getSimpleName(), 
StepOutputArityPredictor::wouldEdgeVertexStepHaveSingleResult);
+STEP_TO_ARITY_FUNCTION_MAP.put(TraversalMapStep.class.getSimpleName(), 
StepOutputArityPredictor::getOutputArityBehaviorForTraversalMapStep);
 
-STEP_TO_ARITY_FUNCTION_MAP = Collections.unmodifiableMap(tempMap1);
-
-final Map> tempMap2 = new 
HashMap<>();
-tempMap2.put(ValueTraversal.class.getSimpleName(), 
StepOutputArityPredictor::getOutputArityBehaviorForValueTraversal);
-tempMap2.put(TokenTraversal.class.getSimpleName(), 
StepOutputArityPredictor::getOutputArityBehaviorForTokenTraversal);
-tempMap2.put(IdentityTraversal.class.getSimpleName(), 
RETURN_DEFINITELY_SINGLE_ARITY_FOR_TRAVERSAL_INPUT);
-tempMap2.put(ColumnTraversal.class.getSimpleName(), 
RETURN_DEFINITELY_SINGLE_ARITY_FOR_TRAVERSAL_INPUT);
-
-SPECIAL_TRAVERSAL_TO_ARITY_FUNCTION_MAP = 
Collections.unmodifiableMap(tempMap2);
+SPECIAL_TRAVERSAL_TO_ARITY_FUNCTION_MAP = new HashMap<>();
+
SPECIAL_TRAVERSAL_TO_ARITY_FUNCTION_MAP.put(ValueTraversal.class.getSimpleName(),
 StepOutputArityPredictor::getOutputArityBehaviorForValueTraversal);
+
SPECIAL_TRAVERSAL_TO_ARITY_FUNCTION_MAP.put(TokenTraversal.class.getSimpleName(),
 StepOutputArityPredictor::getOutputArityBehaviorForTokenTraversal);
+
SPECIAL_TRAVERSAL_TO_ARITY_FUNCTION_MAP.put(IdentityTraversal.class.getSimpleName(),
 RETURN_DEFINITELY_SINGLE_ARITY_FOR_TRAVERSAL_INPUT);
+
SPECIAL_TRAVERSAL_TO_ARITY_FUNCTION_MAP.put(ColumnTraversal.class.getSimpleName(),
 RETURN_DEFINITELY_SINGLE_ARITY_FOR_TRAVERSAL_INPUT);
 }
 
 private static Arity getStepOutputArity(final Step step, final Arity 
inputArity) {